Package Details: kdevelop-git 0.0.0-7

Git Clone URL: https://aur.archlinux.org/kdevelop-git.git (read-only)
Package Base: kdevelop-git
Description: A C/C++ development environment for KDE. (Git version)
Upstream URL: http://www.kdevelop.org
Licenses: GPL
Conflicts: kdevelop, kdevplatform
Provides: kdevelop, kdevplatform, kdevplatform-git
Replaces: kdevplatform-git
Submitter: mosra
Maintainer: Aetf
Last Packager: Aetf
Votes: 84
Popularity: 0.000032
First Submitted: 2010-05-05 21:15
Last Updated: 2018-01-22 21:14

Dependencies (40)

Required by (7)

Sources (1)

Latest Comments

« First ‹ Previous ... 4 5 6 7 8 9 10 11 12 Next › Last »

ilpianista commented on 2012-10-28 10:23

maybe you want to add those too (I just did this for the official package in [extra])

optdepends=('kdesdk-okteta: hex editor'
'kdebase-konsole: embedded terminal'
'git: git support'
'gdb: gdb support'
'qt-doc: qt documentation integration')

mosra commented on 2012-10-27 21:24

Using Release CMake configuration (as makepkg would strip the debugging symbols anyway).

ascarpino: It was in the original kdevelop-svn package, so I left it there without changes.

mosra commented on 2012-10-27 21:20

Using Release CMake configuration (as makepkg would strip the debugging symbols anyway).

losinggeneration: No issues here with /lib symlinks.

ilpianista commented on 2012-10-27 18:55

Why RELWITHDEBINFO?

Anonymous comment on 2012-09-07 03:17

Latest git repo update seems to cause a build error. Don't know whether this is an upstream problem, or a problem with the PKGBUILD.

losinggeneration commented on 2012-07-23 19:35

Looks like the package is failing to build, at least here, with this:
CMake Error at /usr/share/apps/cmake/modules/FindPackageHandleStandardArgs.cmake:198 (MESSAGE):
Did not find automoc4 (Automoc4Config.cmake, install
git://anongit.kde.org/automoc). (missing: AUTOMOC4_EXECUTABLE)
Call Stack (most recent call first):
/usr/share/apps/cmake/modules/FindAutomoc4.cmake:49 (find_package_handle_standard_args)
/usr/share/apps/cmake/modules/FindKDE4Internal.cmake:423 (find_package)
/usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (FIND_PACKAGE)
CMakeLists.txt:14 (find_package)

Adding -DAutomoc4_DIR=/usr/lib/automoc4 "fixes" the issue. But it seems to be a bug in the automoc4 package searching for automoc4 in / instead of /usr (because of the new symlinks of /lib & lib64 to /usr/lib) I haven't submitted this bug to the package or upstream as I've no real confirmation that it's broken elsewhere.

sjakub commented on 2012-03-13 01:39

It should also depend on kdesdk-okteta. The official kdevelop package also depends on kdebase-kwrite, but I'm not sure if it's needed.

Anonymous comment on 2011-11-07 15:38

Hi,
I had to install libxres for the last version to build.


/usr/bin/ld: warning: libXRes.so.1, needed by /usr/local/lib/libprocessui.so.4.7.0, not found (try using -rpath or -rpath-link)
/usr/local/lib/libprocessui.so.4.7.0: undefined reference to `XResQueryClientPixmapBytes'
/usr/local/lib/libprocessui.so.4.7.0: undefined reference to `XResQueryExtension'
/usr/local/lib/libprocessui.so.4.7.0: undefined reference to `XResQueryVersion'
/usr/local/lib/libprocessui.so.4.7.0: undefined reference to `XResQueryClients'
collect2: ld returned 1 exit status
make[2]: *** [debuggers/gdb/gdbtest] Error 1
make[1]: *** [debuggers/gdb/CMakeFiles/gdbtest.dir/all] Error 2

mosra commented on 2011-08-14 09:03

Glaucous: I removed kdesdk-kate with pacman -Rdd and kdevelop-git was build successfully, started and worked without issues. No problem here.

Glaucous commented on 2011-07-31 18:19

kdesdk-kate should be added as dependency.Latest version cannot start without it.